MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032536Open CASCADE[OCCT] OCCT:Configurationpublic2021-08-14 17:592021-09-04 15:59
Reporterkgv 
Assigned Tokgv 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.6.0* 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032536: Configuration - extend adm/scripts with USE_DRACO option
Descriptionadm/scripts should be updated to support USE_DRACO option introduced by 0032525.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0032525verifiedbugmaster Open CASCADE Data Exchange, RWGltf_CafReader - support KHR_draco_mesh_compression 

-  Notes
(0103223)
git (administrator)
2021-08-14 18:00

Branch CR32536 has been created by kgv.

SHA-1: 91428b468b6d313e805bddc88956499e26f80a5c


Detailed log of new commits:

Author: kgv
Date: Sat Aug 14 18:00:19 2021 +0300

    0032536: Configuration - extend adm/scripts with USE_DRACO option
(0103224)
kgv (developer)
2021-08-14 21:23

Please raise the patch
- OCCT: branch CR32536.
(0103323)
bugmaster (administrator)
2021-08-21 14:18

Combination -
OCCT branch : IR-2021-08-20
master SHA - da80ff68f1e9853c1015a5dbb6199541e92789ce
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-08-20 SHA - dd282797d1b40a373376bcd4a820edeb3d4d52f6
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17364.550000000334 / 17371.860000000408 [-0.04%]
Products
Total CPU difference: 11522.500000000102 / 11493.740000000085 [+0.25%]
Windows-64-VC14:
OCCT
Total CPU difference: 19242.96875 / 19148.140625 [+0.50%]
Products
Total CPU difference: 12876.5625 / 12805.328125 [+0.56%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0103377)
git (administrator)
2021-08-23 22:59

Branch CR32536 has been deleted by kgv.

SHA-1: 91428b468b6d313e805bddc88956499e26f80a5c

- Related Changesets
occt: master 91428b46
Timestamp: 2021-08-14 15:00:19
Author: kgv
Details ] Diff ]
0032536: Configuration - extend adm/scripts with USE_DRACO option
mod - adm/scripts/android_build.bat Diff ] File ]
mod - adm/scripts/android_custom.bat.template Diff ] File ]
mod - adm/scripts/cmake_custom.bat.template Diff ] File ]
mod - adm/scripts/cmake_custom.sh.template Diff ] File ]
mod - adm/scripts/cmake_gen.bat Diff ] File ]
mod - adm/scripts/cmake_gen.sh Diff ] File ]
mod - adm/scripts/ios_build.sh Diff ] File ]
mod - adm/scripts/ios_custom.sh.template Diff ] File ]
mod - adm/scripts/macos_build.sh Diff ] File ]
mod - adm/scripts/macos_custom.sh.template Diff ] File ]
mod - adm/scripts/mingw_build.bat Diff ] File ]
mod - adm/scripts/mingw_custom.bat.template Diff ] File ]
mod - adm/scripts/wasm_build.bat Diff ] File ]
mod - adm/scripts/wasm_custom.bat.template Diff ] File ]
mod - src/DRAWEXE/EXTERNLIB_STATIC Diff ] File ]
mod - src/RWGltf/RWGltf_TriangulationReader.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-08-14 17:59 kgv New Issue
2021-08-14 17:59 kgv Assigned To => kgv
2021-08-14 17:59 kgv Relationship added child of 0032525
2021-08-14 17:59 kgv Relationship added child of 0031742
2021-08-14 18:00 git Note Added: 0103223
2021-08-14 21:23 kgv Note Added: 0103224
2021-08-14 21:23 kgv Assigned To kgv => bugmaster
2021-08-14 21:23 kgv Status new => resolved
2021-08-14 21:24 kgv Status resolved => reviewed
2021-08-21 14:18 bugmaster Note Added: 0103323
2021-08-21 14:18 bugmaster Status reviewed => tested
2021-08-21 14:22 kgv Changeset attached => occt master 91428b46
2021-08-21 14:22 kgv Assigned To bugmaster => kgv
2021-08-21 14:22 kgv Status tested => verified
2021-08-21 14:22 kgv Resolution open => fixed
2021-08-23 22:59 git Note Added: 0103377
2021-09-04 15:59 smoskvin Test case number => Not required


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker